> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account details

> Get the details of the current account



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json get /api/v1/accounts/{account_id}
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Campaigns
    description: >-
      Create, schedule, and manage campaigns. Requires an account administrator
      and API access enabled for the account.
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v1/accounts/{account_id}:
    parameters:
      - $ref: '#/components/parameters/account_id'
    get:
      tags:
        - Account
      summary: Get account details
      description: Get the details of the current account
      operationId: get-account-details
      parameters:
        - $ref: '#/components/parameters/account_id'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/account_show_response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userBearerAuth: []
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    account_show_response:
      allOf:
        - $ref: '#/components/schemas/account_detail'
        - type: object
          properties:
            latest_chatwoot_version:
              type:
                - string
                - 'null'
              description: Latest version of Chatwoot available
              example: 3.0.0
            subscribed_features:
              type: array
              items:
                type: string
              description: >-
                List of subscribed enterprise features (if enterprise edition is
                enabled)
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    account_detail:
      type: object
      properties:
        id:
          type: number
          description: Account ID
        name:
          type: string
          description: Name of the account
        locale:
          type: string
          description: The locale of the account
        domain:
          type: string
          description: The domain of the account
        support_email:
          type: string
          description: The support email of the account
        status:
          type: string
          description: The status of the account
        created_at:
          type: string
          format: date-time
          description: The creation date of the account
        cache_keys:
          type: object
          description: Cache keys for the account
        features:
          type: object
          description: Enabled features for the account
        settings:
          type: object
          description: Account settings
          properties:
            auto_resolve_after:
              type: number
              description: Auto resolve conversations after specified minutes
            auto_resolve_message:
              type: string
              description: Message to send when auto resolving
            auto_resolve_ignore_waiting:
              type: boolean
              description: Whether to ignore waiting conversations for auto resolve
        custom_attributes:
          type: object
          description: Custom attributes of the account
          properties:
            plan_name:
              type:
                - string
                - 'null'
              description: Subscription plan name
            subscribed_quantity:
              type:
                - number
                - 'null'
              description: Subscribed quantity
            subscription_status:
              type:
                - string
                - 'null'
              description: Subscription status
            subscription_ends_on:
              type:
                - string
                - 'null'
              format: date
              description: Subscription end date
            industry:
              type: string
              description: Industry type
            company_size:
              type: string
              description: Company size
            timezone:
              type: string
              description: Account timezone
            logo:
              type: string
              description: Account logo URL
            onboarding_step:
              type: string
              description: Current onboarding step
            marked_for_deletion_at:
              type: string
              format: date-time
              description: When account was marked for deletion
            marked_for_deletion_reason:
              type: string
              description: Reason for account deletion
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using a user API token
        from **Profile Settings**. Available in Chatwoot `v4.19.0` and later.
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Find your API token in **Profile Settings**. The `api_access_token`
        header remains supported, but will be deprecated in a future release.
        For new integrations, use Bearer authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.